/* Author: Kazimierz Krosman */
#include <stdint.h>

#define tassert(v)							\
     do {								\
	  if (test_cases_mask & (1 << test_count))			\
	  {								\
	       int ___r = (v);						\
	       assert_printf(___r, test_count, #v, __LINE__, __FILE__); \
	  }								\
	  test_count++;							\
     } while (0)

enum {
	false,
	true
};

extern uint64_t test_cases_mask;
extern int test_count;
void prepare_mask(int argc, char* argv[]);
void assert_printf(int res, int tc, const char* value, int line, const char* file);
